local effect_entity_id = GetUpdatedEntityID()
local affected_entity_id = EntityGetParent(effect_entity_id)

local effect_comp = EntityGetFirstComponentIncludingDisabled(affected_entity_id, "StatusEffectDataComponent")
local effects = ComponentGetValue2(effect_comp, "stain_effects")

function blood()
	local damagemodels = EntityGetFirstComponent(affected_entity_id, "DamageModelComponent")
	if (damagemodels ~= nil) then
		return ComponentGetValue2(damagemodels, "blood_material")	
	end
end

if effects[3] < 0.15 and blood() ~= "oil" then  --Make sure entity isn't oiled (stain percentage hits 1% at 0.15 and 100% at 1) 
	if IsPlayer( affected_entity_id ) or blood() == "lava" or blood() == "diamond" or blood() == "plasma_fading" or blood() == "bone" then
		if effects[41] > 1 or effects[2] >= 0.2 or effects[4] >= 0.2 or effects[5] >= 0.2 or effects[6] >= 0.2 or effects[7] >= 0.2 or effects[23] >= 0.2 then --Check if wet, bloody, etc
			LoadGameEffectEntityTo( affected_entity_id, "mods/icenine/files/ice_nine_ingest.xml") -- freeze
		end	
	else
		LoadGameEffectEntityTo( affected_entity_id, "mods/icenine/files/ice_nine_ingest.xml")
	end
end


--[[ 
'effects[one-of-the-below-numbers-here]' key:
WET:		2
OILED:		3
BLOODY:	4
SLIMY:		5
RADIOACTIVE:	6
INVISIBLE:	7
AMBROSIA: 	23
ICE NINE:	41
The order of materials is determined in 'data/scripta/status_list.lua'.
--]]