table.insert(actions,
  {
    id                 = "MATERIAL_ICE_NINE",
    name               = "deep freeze charge",
    description        = "Give the gift that keeps on giving cellular disruption",
    sprite             = "mods/icenine/files/deep_freeze_charge.png",
    type               = ACTION_TYPE_MODIFIER,
    spawn_level        = "1,2,3,4,5,6",
    spawn_probability  = "1,1,1,1,1,1",
    price              = 280,
    mana               = 20,
    --max_uses           = 120, 
    custom_xml_file = "data/entities/misc/custom_cards/material_ice_nine.xml",
    action = function()
      c.game_effect_entities = c.game_effect_entities .. "mods/icenine/files/ice_nine_residue.xml,"
      c.extra_entities = c.extra_entities .. "data/entities/particles/deep_freeze_charge.xml,"
      draw_actions( 1, true )
    end,
  }
)
table.insert(actions,
  {
    id                 = "TOUCH_OF_BINDING",
    name               = "touch of binding",
    description        = "It is said that science is merely magic that works",
    sprite             = "mods/icenine/files/materials_gfx/touch_binding.png",
    related_projectiles	= {"data/entities/projectiles/deck/touch_binding.xml"},
    type               = ACTION_TYPE_MATERIAL,
    spawn_level        = "1,2,3,4,5,6",
    spawn_probability  = "0,0,0.1,0.2,0.3,0.4,0.5,0.6",
    price              = 500,
    mana               = 300,
    max_uses           = 10,  -- optional
    action = function()
      add_projectile("data/entities/projectiles/deck/touch_binding.xml")
      c.game_effect_entities = c.game_effect_entities .. "mods/icenine/files/ice_nine_residue.xml,"
      c.friendly_fire= true
      draw_actions( 1, true )
    end,
  }
)