local effect_entity_id = GetUpdatedEntityID()
local affected_entity_id = EntityGetParent(effect_entity_id)

if not IsPlayer( affected_entity_id ) then GameDropAllItems( affected_entity_id ) end

local dmc = EntityGetFirstComponentIncludingDisabled(affected_entity_id, "DamageModelComponent")
ComponentSetValue2(dmc, "ragdollify_child_entity_sprites", true)
ComponentSetValue2(dmc, "ui_report_damage", false)
ComponentSetValue2(dmc, "max_hp", 1)

local effect_comp = EntityGetFirstComponentIncludingDisabled(affected_entity_id, "StatusEffectDataComponent")
local effects = ComponentGetValue2(effect_comp, "stain_effects")
--local x, y = EntityGetTransform(affected_entity_id)

function blood()
	local damagemodels = EntityGetFirstComponent(affected_entity_id, "DamageModelComponent")
	if (damagemodels ~= nil) then
		return ComponentGetValue2(damagemodels, "blood_material")
	end
end

local stained = 0
if ((effects[2] >= 0.2 or effects[4] >= 0.2 or effects[5] >= 0.2 or effects[6] >= 0.2 or effects[7] >= 0.2 or effects[23] >= 0.2) and (effects[41] >= 0.15) or effects[41] >= 1)then
	stained = 1
end


if stained == 0 then -- death via ingestion
	if blood() == "oil" or blood() == "lava" or blood() == "diamond" or blood() == "plasma_fading" or blood() == "bone" then
		if math.random(0,20) == 0 then
			EntityInflictDamage(affected_entity_id, 10000, "DAMAGE_MATERIAL", "Your poop suddenly froze solid inside your small intestine, giving you a bout of constipation so excruciating that the sheer agony killed you instantly.", "FARTS", 0, 0)
		end
	else
		if not IsPlayer( affected_entity_id ) then GameDropAllItems( affected_entity_id ) end
		LoadGameEffectEntityTo( affected_entity_id, "mods/icenine/files/permafrozen.xml")
		EntityInflictDamage(affected_entity_id, 10000, "DAMAGE_MATERIAL", "Your esophagus suddenly became too brittle to allow swallowing, breathing, or life.", "PERMAFROZEN", 0, 0)
	end
else --death via stain
	if blood() == "oil" or blood() == "lava" or blood() == "diamond" or blood() == "plasma_fading" or blood() == "bone" then
		LoadGameEffectEntityTo( affected_entity_id, "mods/icenine/files/permafrozen.xml")
		EntityInflictDamage(affected_entity_id, 10000, "DAMAGE_MATERIAL", "Your moistened skin suddenly became relatively inelastic, leaving you immobile inside your frozen epidermis until you eventually starved to death.", "PERMAFROZEN", 0, 0)
	else
		LoadGameEffectEntityTo( affected_entity_id, "mods/icenine/files/permafrozen.xml")
		EntityInflictDamage(affected_entity_id, 10000, "DAMAGE_MATERIAL", "The water in your flesh suddenly adopted a lower energy state", "PERMAFROZEN", 0, 0)
	end
end
