dofile("data/scripts/lib/mod_settings.lua")

local mod_id = "icenine"

mod_settings_version = 1
mod_settings =
{
  {
    category_id = "settings",
    ui_name = "SETTINGS",
    settings = {
      {
        id = "spawn_naturally",
        ui_name = "Apocalypse mode",
        ui_description = "Ice-nine commonly spawns outside its biome modifier ['on' is the only option at the moment. More settings may be added in the future; like, 'off'.]",
        value_default = "on",
        values = {
          {"on","On"}, {"on","On"}
        },
        scope = MOD_SETTING_SCOPE_RUNTIME,
      },
    },
  },
}

function ModSettingsUpdate( init_scope )
  local old_version = mod_settings_get_version( mod_id ) -- This can be used to migrate some settings between mod versions.
  mod_settings_update( mod_id, mod_settings, init_scope )
end


function ModSettingsGuiCount()
  return mod_settings_gui_count( mod_id, mod_settings )
end


function ModSettingsGui( gui, in_main_menu )
  mod_settings_gui( mod_id, mod_settings, gui, in_main_menu )
end
